[Overview][Constants][Types][Classes][Index] | Reference for unit 'BlowFish' (#fcl)

# TBlowFish.Create

Create a new instance of the TBlowFish class

## Declaration

Source position: blowfish.pp line 42

`public constructor TBlowFish.Create(`
`Key: TBlowFishKey;`
`KeySize: Integer`
`);`

## Arguments

`Key` |  | Encryption key
`KeySize` |  | Actual size of encryption key

## Description

Create initializes a new instance of the TBlowFish class: it stores the key Key in the internal data structures so it can be used in later calls to Encrypt and Decrypt.

## See also

Encrypt |  | Encrypt a block
Decrypt |  | Decrypt a block